#!/bin/bash

# uninstall logic for securITvault A-Click Backup 5.5.1.0
# The root privilege is required to uninstall the application

###############################################################################
#             S H U T - D O W N                 S E R V I C E S               #
###############################################################################

# Shutdown Scheduler
if [ -e "/Applications/securITvault A-Click Backup/ipc/Scheduler/running" ]; then
    echo "Shutdown Scheduler for securITvault A-Click Backup"
    touch "/Applications/securITvault A-Click Backup/ipc/Scheduler/stop"
    echo "Wait 5 seconds before Scheduler exits"
    sleep 5
fi

# Shutdown AutoUpdateAgent
if [ -e "/Applications/securITvault A-Click Backup/aua/bin" ]; then
    echo "Shutdown AutoUpdateAgent for securITvault A-Click Backup"
    sh "/Applications/securITvault A-Click Backup/aua/bin/shutdown.sh"
    echo "Wait 5 seconds before AutoUpdateAgent exits"
    sleep 5
fi

###############################################################################
#        T A S K K I L L       A L L      J A V A       P R O C E S S         #
###############################################################################

# Kill all running process
sh "/Applications/securITvault A-Click Backup/bin/taskkill" "/Applications/securITvault A-Click Backup/BackupManager.app"
sh "/Applications/securITvault A-Click Backup/bin/taskkill" "/Applications/securITvault A-Click Backup/bin/BackupManager.app"
sh "/Applications/securITvault A-Click Backup/bin/taskkill" "/Applications/securITvault A-Click Backup/jvm/bin/java"
sh "/Applications/securITvault A-Click Backup/bin/taskkill" "/Applications/securITvault A-Click Backup/aua/jvm/bin/java"

###############################################################################
#                 R E M O V E                   S E R V I C E S               #
###############################################################################

# Remove Scheduler
if [ -e "/Library/StartupItems/securITvaultACB" ]; then
    echo "Remove Scheduler for securITvault A-Click Backup from service"
    rm -rf "/Library/StartupItems/securITvaultACB"
fi

# Remove AutoUpdateAgent
if [ -e "/Library/StartupItems/securITvaultACB-AutoUpdate" ]; then
    echo "Remove AutoUpdateAgent for securITvault A-Click Backup from service"
    rm -rf "/Library/StartupItems/securITvaultACB-AutoUpdate"
fi

###############################################################################
#      R E M O V E        U S E R         D E S K T O P      L I N K          #
###############################################################################

# Remove Desktop Symbolic Link
find /Users -name Desktop -type d -maxdepth 3 -mindepth 2 | while read DESKTOP_PATH;
do
    if [ -e "${DESKTOP_PATH}/securITvaultACB" ]; then
        echo "Remove Desktop Link securITvaultACB from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/securITvaultACB"
        echo "Removed securITvault A-Click Backup Desktop Link"
    fi
done

###############################################################################
#        R E M O V E           A P P L I C A T I O N           H O M E        #
###############################################################################

# Remove securITvault A-Click Backup
cd /
if [ -e "/Applications/securITvault A-Click Backup" ]; then
    echo "Remove securITvault A-Click Backup from Your Mac OS X"
    rm -rf "/Applications/securITvault A-Click Backup"
fi

###############################################################################
#        R E M O V E             M A C     O S        R E C E I P T S         #
###############################################################################

# Remove Mac OS X Receipts
if [ -e "/Library/Receipts/acb.pkg" ]; then
    echo "Remove Mac OS X Receipt for acb.pkg (Path: /Library/Receipts/acb.pkg)"
    rm -rf "/Library/Receipts/acb.pkg"
fi
